import time
import math
import multiprocessing


def task(name):
    print("Process ",name,": Starting")
    time.sleep(1)
    print("Process ",name,": Finishing")

def calculate_sum(start, end, q):
    total = sum(range(start, end + 1))
    q.put(total)# Put the sum in the queue

def calculate_product(numbers, q):
    product = 1
    for num in numbers:
        product *= num
    q.put(product)  # Put the product in the queue

def calculate_factorial(num):
    if num == 0:
        return 1
    else:
        result = 1
        for i in range(1, num + 1):
            result *= i
        return result
    



def is_prime(n):
    """Check if a number is a prime."""
    if n <= 1:
        return False
    for i in range(2, int(n**0.5) + 1):
        if n % i == 0:
            return False
    return True

def count_primes(numbers):
    """Count primes in a list of numbers."""
    primes = 0
    for n in numbers:
        if is_prime(n):
            primes+=1
    return primes

