#%%
l = [2, 42, 120, 189, 420]

# adding/removing elements
l.append('hello')
l.remove(120)
print(l.pop())
print(l.pop(0))
print(l)

#%%
# index-based access
l[1] = 43
print(l)

# elements up to index 2
print(l[:2])

# elements starting from index 1
print(l[1:])

# every second element
print(l[::2])


# %% tuples
t = (2, 42, 120, 189, 420)
print(t[1])

print(t[:2])

print(t[1:])

# NOT VALID
t[1] = 43

t = (1,2,3)
t2 = t + (4,5,6)
print(t2)



# %% sets
s = {2, 'hello', 120, 42, 189, 420}
print(s)

# check membership
print('hello' in s)

# add element
s.add(32)
print(s)

# remove element
s.remove('hello')  
print(s)

# NOT VALID
s[1]
s[:4]



# %% dictionaries
# create dictionary
d = { 'hello': 'Hallo', 
        'world': 'Welt', 
        'teacher': ['Ingo', 'Scholtes']
    }

# check membership of key 
print('hello' in d)

# access value of given key
print(d['hello'], d['teacher'])

# assign value to (new) key
d['audience'] = 'Studierende'

# access value of given key
print(d['hello'], d['audience'])

