#%% 
def swap(l, i, j):
    t = l[i]
    l[i] = l[j]
    l[j] = t

def bubbleSort(l: list):
    n = len(l)
    swaps = 0
    comparisons = 0
    swapped = True
    while swapped:
        swapped = False
        for i in range(1, n):            
            comparisons += 1
            if l[i-1] > l[i]:
                swap(l, i-1, i)
                swaps += 1
                swapped = True            
    return (comparisons, swaps)

#%% example from the lecture
l = [7,2,47,23,5,11]
c, s = bubbleSort(l)
print(l)
print(len(l), 'numbers')
print(c, 'comparisons')
print(s, 'swaps')

#%%  worst case
l = [47,23,11,7,5,2]
c, s = bubbleSort(l)
print(l)
print(len(l), 'numbers')
print(c, 'comparisons')
print(s, 'swaps')

# %% best case
l = [2,5,7,11,23,47]
c, s = bubbleSort(l)
print(l)
print(len(l), 'numbers')
print(c, 'comparisons')
print(s, 'swaps')
# %%
