

#%% 
from math import floor

def merge(l1, l2):
    l = list()
    while len(l1) > 0 and len(l2) > 0:
        if l1[0] <= l2[0]:
            l.append(l1.pop(0))
        else:
            l.append(l2.pop(0))
    
    while len(l1) > 0:
        l.append(l1.pop(0))
    while len(l2) > 0:
        l.append(l2.pop(0))
    return l

def mergeSort(l: list):
    print('I got called for input ', l)
    # nothing to do here
    if len(l)<=1:
        return l
    
    # split list in two
    mid = floor(len(l)/2)
    left = l[:mid]
    right = l[mid:]

    # apply mergeSort to each of the lists
    left = mergeSort(left)
    right = mergeSort(right)

    # merge results and return
    return merge(left, right)


#%% 
l = [7,2,47,23,5,11]
sorted = mergeSort(l)
print(sorted)

#%%  sorted in reverse order
l = [47,23,11,7,5,2]
sorted = mergeSort(l)
print(sorted)

#%% already sorted list 
l = [5,7,11,23,2,47]
sorted = mergeSort(l)
print(sorted)
# %%
